Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class BaseUnionDatatype

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseUnionDatatype

All Implemented Interfaces:
  Datatype, UnionDatatype

Direct Known Subclasses:
  RDFSLiteral, XSDSimpleType

    public class BaseUnionDatatype

extends BaseDatatype
implements UnionDatatype

Author:
  Evren Sirin

Method Summary
`boolean` | `contains(java.lang.Object value)`
`boolean` | `contains(java.lang.Object value, AtomicDatatype datatype)`
`java.util.Set<Datatype>` | `getMembers()`
`aterm.ATermAppl` | `getValue(int n)`
`java.lang.Object` | `getValue(java.lang.String value, java.lang.String datatypeURI)`
`Datatype` | `singleton(java.lang.Object value)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`getName, getURI, isEmpty`

Method Detail

### getMembers

    public java.util.Set<Datatype> getMembers()

  Specified by:
    `getMembers` in interface `UnionDatatype`

### size

    public int size()

  Specified by:
    `size` in interface `Datatype`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `Datatype`

### contains

    public boolean contains(java.lang.Object value,
                            AtomicDatatype datatype)

  Specified by:
    `contains` in interface `Datatype`
  Overrides:
    `contains` in class `BaseDatatype`

### getValue

    public java.lang.Object getValue(java.lang.String value,
                                     java.lang.String datatypeURI)

  Specified by:
    `getValue` in interface `Datatype`

### singleton

    public Datatype singleton(java.lang.Object value)

  Specified by:
    `singleton` in interface `Datatype`

### getValue

    public aterm.ATermAppl getValue(int n)

  Specified by:
    `getValue` in interface `Datatype`
  Overrides:
    `getValue` in class `BaseDatatype`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.